Contents
Index 🔎︎

# Left Function

Vráti určený počet znakov zo začiatku reťazca.

### Syntax:

    Left (Text As String, n As Long)

### Return value:

Reťazec

### Parameters:

Text: Reťazec, ktorého časť chcete získať.

n: Numeric expression that specifies the number of characters that you want to return. If n = 0, a zero-length string is returned. The maximum allowed value is 2,147,483,648.

Nasledujúci príklad prevedie dátum vo formáte YYYY.MM.DD na formát MM/DD/YYYY.

### Error codes:

5 Neplatné volanie procedúry

### Example:

    Sub ExampleUSDate
    Dim sInput As String
    Dim sUS_date As String
        sInput = InputBox("Zadajte, prosím, dátum v medzinárodnom formáte 'YYYY-MM-DD'")
        sUS_date = Mid(sInput, 6, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Right(sInput, 2)
        sUS_date = sUS_date & "/"
        sUS_date = sUS_date & Left(sInput, 4)
        MsgBox sUS_date
    End Sub

Related Topics

String functions